table.insert(perk_list,
{
	id = "ET_SPIDERLEGS",
	ui_name = "Heinäsirkka's Legs",
	ui_description = "Gain metal legs that greatly increase mobility!",
	ui_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/metal_leg_icon.png",
	perk_icon = "mods/enemy_traits/enemy_traits_files/sprites/perks/metal_leg_item.png",
	func = function(entity_perk_item, entity_who_picked, item_name)
		local x,y = EntityGetTransform( entity_who_picked )
		
		for i=1,3 do
			local child_id = EntityLoad( "mods/enemy_traits/enemy_traits_files/entities/metal_leg.xml", x, y )
			EntityAddChild( entity_who_picked, child_id )
		end
		
		local platformingComponents = EntityGetComponent( entity_who_picked, "CharacterPlatformingComponent" )
		if( platformingComponents ~= nil ) then
			for i,component in ipairs(platformingComponents) do
				local run_speed = tonumber( ComponentGetMetaCustom( component, "run_velocity" ) ) * 1.5
				local vel_x = math.abs( tonumber( ComponentGetMetaCustom( component, "velocity_max_x" ) ) ) * 1.5
				local jump_y = tonumber(ComponentGetValue(component, "jump_velocity_y")) * 1.5
				
				ComponentSetMetaCustom( component, "run_velocity", run_speed )
				ComponentSetMetaCustom( component, "velocity_min_x", -vel_x )
				ComponentSetMetaCustom( component, "velocity_max_x", vel_x )
				ComponentSetValue( component, "jump_velocity_y", jump_y)
			end
		end
	end,
})
