dofile_once("mods/enemy_traits/enemy_traits_files/scripts/entity_untargeter.lua")

local ally_id = nil
local this_entity = GetUpdatedEntityID()
local components = EntityGetComponent(this_entity, "VariableStorageComponent")
assert(type(components) == "table" and #components > 0, "Entity does not have VariableStorageComponents")

for _, component in pairs(components) do
	if ComponentGetValue(component, "name") == "ally_id" then
		ally_id = tonumber(ComponentGetValue(component, "value_int"))
	end
end

assert(ally_id, "Could not set ally_id properly")

if EntityGetIsAlive(ally_id) then
	local this_genome_comp = EntityGetFirstComponent(this_entity, "GenomeDataComponent")
	local ally_genome_comp = EntityGetFirstComponent(ally_id, "GenomeDataComponent")

	local this_genome = ComponentGetMetaCustom( this_genome_comp, "herd_id" )
	local ally_genome = ComponentGetMetaCustom( ally_genome_comp, "herd_id" )

	if this_genome ~= ally_genome then
		GenomeSetHerdId(this_entity, ally_genome)
		print("[ET] UPDATED HERD ID OF ENTITY " .. this_entity .. " TO: '" .. ally_genome .. "' TO SYNC WITH ALLY " .. ally_id .. "!")
	end

	untarget_by_id(this_entity, ally_id, true)
end
