local entity = GetUpdatedEntityID()
local x, y, rotation = EntityGetTransform(entity)
local max_range = 300
local components = EntityGetComponent(entity, "SpriteComponent")
assert(type(components) == "table" and #components > 0, "Laser sight does not have SpriteComponents")

local target_x, target_y = math.cos(rotation) * max_range + x, math.sin(rotation) * max_range + y

local did_hit, hit_x, hit_y = Raytrace(x, y, target_x, target_y)
local distance = math.sqrt( ( hit_x - x ) ^ 2 + ( hit_y - y ) ^ 2 )

local component = components[#components]
ComponentSetValue(component, "special_scale_x", tostring(distance / 10 + 0.1))
