local entity = GetUpdatedEntityID()
local parent = EntityGetParent(entity)

local walkerComponents = EntityGetComponent(entity, "IKLimbWalkerComponent")
local dataComponents = EntityGetComponent(parent, "CharacterDataComponent")
assert(walkerComponents and #walkerComponents > 0, "Leg does not have IKLimbWalkerComponents")
assert(dataComponents and #dataComponents > 0, "Parent does not have CharacterDataComponents")

local any_grounded = false
for _, component in pairs(walkerComponents) do
	local state = ComponentGetValue(component, "mState")
	any_grounded = any_grounded or state == "1"
end

if any_grounded then
	for _, component in pairs(dataComponents) do
		ComponentSetValue(component, "is_on_ground", "1")
	end
end
